const path = require("path")

module.exports = function (props, config) {
  return {
    name: props.name,
    extension: config.extensions.js.main,
    dir: props.path,
    role: "main",
    template: {
      name: props.type === "es6class"
        ? "es6-class-component.js"
        : "stateless-functional-component.js",
      dir: path.resolve(__dirname, "templates")
    }
  }
}